package com.jsowell.pile.transaction.dto;

import com.jsowell.pile.domain.PileBillingDetail;
import com.jsowell.pile.domain.PileBillingTemplate;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class BillingTemplateTransactionDTO {
	// 计费模板基本信息
	private PileBillingTemplate billingTemplate;

	// 计费模板详情
	private List<PileBillingDetail> detailList;

	@Override
	public String toString() {
		return new ToStringBuilder(this, ToStringStyle.JSON_STYLE)
				.append("billingTemplate", billingTemplate)
				.append("detailList", detailList)
				.toString();
	}
}
